TAN(3)

NAME
tan, tanf, tanl - tangent function

SYNOPSIS
#include <math.h>

double tan(double x);
float tanf(float x);
long double tanl(long double x);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

tanf(), tanl():
    _ISOC99_SOURCE || _POSIX_C_SOURCE >= 200112L
        || /* Since glibc 2.19: */ _DEFAULT_SOURCE
        || /* Glibc versions <= 2.19: */ _BSD_SOURCE || _SVID_SOURCE

DESCRIPTION
These functions return the tangent of x, where x is given in radians.

RETURN VALUE
On success, these functions return the tangent of x. If x is a NaN, a NaN is returned. If x is positive infinity or negative infinity, a domain error occurs, and a NaN is returned. If the correct result would overflow, a range error occurs, and the functions return HUGE_VAL, HUGE_VALF, or HUGE_VALL, respectively, with the mathematically correct sign.

ERRORS
See math_error(7) for information on how to determine whether an error has occurred when calling these functions.

The following errors can occur:

Domain error: x is an infinity
    errno is set to EDOM (but see BUGS). An invalid floating-point exception (FE_INVALID) is raised.

Range error: result overflow
    An overflow floating-point exception (FE_OVERFLOW) is raised.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

CONFORMING TO
C99, POSIX.1-2001, POSIX.1-2008. The variant returning double also conforms to SVr4, 4.3BSD, C89.

BUGS
Before version 2.10, the glibc implementation did not set errno to EDOM when a domain error occurred.

SEE ALSO
acos(3), asin(3), atan(3), atan2(3), cos(3), ctan(3), sin(3)

COLOPHON
This page is part of release 4.10 of the Linux man-pages project. A description of the project, information about reporting bugs, and the latest version of this page, can be found at https://www.kernel.org/doc/man-pages/.